#Setup Name
execute if score #kazzxv.custom_names kazzxv.settings matches 1 if entity @s[tag=!kazzxv.named] run data merge entity @s {CustomName:'{"translate":"Abyss Watcher","color":"#30bdf0","bold":true,"italic":false}'}
execute if score #kazzxv.custom_names kazzxv.settings matches 1 if entity @s[tag=!kazzxv.named] run tag @s add kazzxv.named

#Setup Bossbar
execute unless entity @a[scores={kazzxv.aw_hp_bar=1..}] run tag @s remove kazzxv.aw_bossbar
execute if entity @s[tag=!kazzxv.aw_bossbar] run bossbar add minecraft:abyss_watcher "Abyss Watcher"
execute if entity @s[tag=!kazzxv.aw_bossbar] run bossbar set minecraft:abyss_watcher color blue
execute if entity @s[tag=!kazzxv.aw_bossbar] run bossbar set minecraft:abyss_watcher style progress
execute if entity @s[tag=!kazzxv.aw_bossbar] run bossbar set minecraft:abyss_watcher max 1000
execute if entity @s[tag=!kazzxv.aw_bossbar] run tag @s add kazzxv.aw_bossbar
execute if entity @s[tag=kazzxv.aw_bossbar] run bossbar set minecraft:abyss_watcher players @a[distance=..64]

#Setup Scoreboards
execute if entity @s[tag=!kazzxv.aw_setup] run scoreboard players set @s kazzxv.aw_atk 0
execute if entity @s[tag=!kazzxv.aw_setup] run scoreboard players set @s kazzxv.aw_cd 0
execute if entity @s[tag=!kazzxv.aw_setup] run scoreboard players set @s kazzxv.aw_hurt 0
execute if entity @s[tag=!kazzxv.aw_setup] run scoreboard players set @s kazzxv.aw_stgr 0

#Setup Passive Effects
  #Initial
execute if entity @s[tag=!kazzxv.aw_setup] run effect give @s minecraft:resistance infinite 4 true
execute if entity @s[tag=!kazzxv.aw_setup] run effect give @s minecraft:fire_resistance infinite 0 true
execute if entity @s[tag=!kazzxv.aw_setup] run effect give @s minecraft:strength infinite 9 true
  #No Armor
execute unless entity @e[type=armor_stand,tag=kazzxv.aw_armor] if entity @s[tag=!kazzxv.aw_setup2,tag=!kazzxv.aw_no_armor] run tag @s add kazzxv.aw_no_armor
execute if entity @s[tag=!kazzxv.aw_setup2,tag=kazzxv.aw_no_armor] run effect clear @s minecraft:resistance
execute if entity @s[tag=!kazzxv.aw_setup2,tag=kazzxv.aw_no_armor] run effect give @s minecraft:resistance infinite 3 true
execute if entity @s[tag=!kazzxv.aw_setup2,tag=kazzxv.aw_no_armor] run effect give @s minecraft:speed infinite 0 true
execute if entity @s[tag=!kazzxv.aw_setup2,tag=kazzxv.aw_no_armor] run effect give @s minecraft:strength infinite 14 true
execute if entity @s[tag=!kazzxv.aw_setup2,tag=kazzxv.aw_no_armor] run tellraw @a [{"text":"[","color":"white"},{"text":"ExtraVanilla","color":"yellow"},{"text":"]","color":"white"},{"text":":","color":"gray"},{"text":" The Abyss Watcher has lost its magical armor! It can now be damaged, keep going!","color":"dark_aqua"}]
  #Half Health
execute if score @s kazzxv.aw_health matches ..500 if entity @s[tag=!kazzxv.aw_setup3,tag=!kazzxv.aw_half_health] run tag @s add kazzxv.aw_half_health
execute if entity @s[tag=!kazzxv.aw_setup3,tag=kazzxv.aw_half_health] run effect give @s minecraft:speed infinite 1 true
execute if entity @s[tag=!kazzxv.aw_setup3,tag=kazzxv.aw_half_health] run effect give @s minecraft:strength infinite 19 true
execute if entity @s[tag=!kazzxv.aw_setup3,tag=kazzxv.aw_half_health] run scoreboard players set @s kazzxv.aw_stgr 1200
execute if entity @s[tag=!kazzxv.aw_setup3,tag=kazzxv.aw_half_health] run tellraw @a [{"text":"[","color":"white"},{"text":"ExtraVanilla","color":"yellow"},{"text":"]","color":"white"},{"text":":","color":"gray"},{"text":" The Abyss Watcher has lost half its health! It will now attack more often, be careful!","color":"dark_aqua"}]

#Tags Self for Finishing Setup
execute if entity @s[tag=!kazzxv.aw_setup] run tag @s add kazzxv.aw_setup
execute if entity @s[tag=!kazzxv.aw_setup2,tag=kazzxv.aw_no_armor] run tag @s add kazzxv.aw_setup2
execute if entity @s[tag=!kazzxv.aw_setup3,tag=kazzxv.aw_half_health] run tag @s add kazzxv.aw_setup3