#Sync Health
execute store result score @s kazzxv.pb_health run data get entity @s Health

#Increases Attack Tick to determine Attack Mode
scoreboard players add @s[tag=!kazzxv.pb_attacking] kazzxv.pb_atk 1
execute if entity @s[tag=!kazzxv.pb_phase2] if score @s kazzxv.pb_atk matches 7.. run scoreboard players set @s kazzxv.pb_atk 0
execute if entity @s[tag=kazzxv.pb_phase2] if score @s kazzxv.pb_atk matches 10.. run scoreboard players set @s kazzxv.pb_atk 0

#Attack Pattern Controller - Based on Distance
execute if entity @s[tag=!kazzxv.pb_attacking] at @s run function kazzmon.extravanilla:mobs/custom_bosses/primordial_blaze_bossfight/main/attack_controller/setup

#Cooldown Decrease
scoreboard players remove @s[scores={kazzxv.pb_cd=1..}] kazzxv.pb_cd 1
execute if entity @s[tag=kazzxv.pb_phase2] run scoreboard players remove @s[scores={kazzxv.pb_cd=1..}] kazzxv.pb_cd 1

#Updates HurtTime Scoreboard
execute store result score @s kazzxv.pb_hurt run data get entity @s HurtTime

#Sound when Hurt
execute if score @s kazzxv.pb_hurt matches 10 run playsound minecraft:entity.blaze.hurt master @a ~ ~ ~ 2 0.5
execute if score @s kazzxv.pb_hurt matches 10 run playsound minecraft:entity.blaze.hurt master @a ~ ~ ~ 2 0.6
execute if score @s kazzxv.pb_hurt matches 10 run playsound minecraft:entity.blaze.hurt master @a ~ ~ ~ 2 0.7
execute if score @s kazzxv.pb_hurt matches 10 run playsound minecraft:entity.blaze.ambient master @a ~ ~ ~ 2 0.5

#Particles when Hurt
execute if score @s kazzxv.pb_hurt matches 10 run particle minecraft:smoke ~ ~ ~ 0.5 0.5 0.5 0 30 force
execute if score @s kazzxv.pb_hurt matches 10 run particle minecraft:lava ~ ~ ~ 0 0 0 0.2 10 force

#Updates No Challenger Scoreboard
execute if entity @e[type=player,distance=..64] run scoreboard players set @s kazzxv.pb_foes 1200
execute unless entity @e[type=player,distance=..64] run scoreboard players remove @s[scores={kazzxv.pb_foes=1..}] kazzxv.pb_foes 1