#Setup Name
execute if score #kazzxv.custom_names kazzxv.settings matches 1 if entity @s[tag=!kazzxv.named] run data merge entity @s {CustomName:'{"translate":"Primordial Blaze","color":"#ff7530","bold":true,"italic":false}'}
execute if score #kazzxv.custom_names kazzxv.settings matches 1 if entity @s[tag=!kazzxv.named] run tag @s add kazzxv.named

#Setup Bossbar
execute unless entity @a[scores={kazzxv.pb_hp_bar=1..}] run tag @s remove kazzxv.pb_bossbar
execute if entity @s[tag=!kazzxv.pb_bossbar] at @s run bossbar add primordial_blaze "Primordial Blaze"
execute if entity @s[tag=!kazzxv.pb_bossbar] at @s run bossbar set minecraft:primordial_blaze color yellow
execute if entity @s[tag=!kazzxv.pb_bossbar] at @s run bossbar set minecraft:primordial_blaze style progress
execute if entity @s[tag=!kazzxv.pb_bossbar] at @s run bossbar set minecraft:primordial_blaze max 1000
execute if entity @s[tag=!kazzxv.pb_bossbar] at @s run scoreboard players set xv_primordial kazzxv.pb_health 1000
execute if entity @s[tag=!kazzxv.pb_bossbar] at @s run tag @s add kazzxv.pb_bossbar
execute if entity @s[tag=kazzxv.pb_bossbar] at @s run bossbar set minecraft:primordial_blaze players @a[distance=..64]

#Setup Scoreboards
execute if entity @s[tag=!kazzxv.pb_setup] run scoreboard players set @s kazzxv.pb_atk 0
execute if entity @s[tag=!kazzxv.pb_setup] run scoreboard players set @s kazzxv.pb_cd 300
execute if entity @s[tag=!kazzxv.pb_setup] run scoreboard players set @s kazzxv.pb_hurt 0
execute if entity @s[tag=!kazzxv.pb_setup] run scoreboard players set @s kazzxv.pb_foes 1200

#Setup Passive Effects
  #Initial
execute if entity @s[tag=!kazzxv.pb_setup] run effect give @s minecraft:resistance infinite 2 true
execute if entity @s[tag=!kazzxv.pb_setup] run effect give @s minecraft:instant_health 100 1 true
  #Second Phase
execute if score @s kazzxv.pb_health matches ..100 if entity @s[tag=!kazzxv.pb_phase2] run function kazzmon.extravanilla:mobs/custom_bosses/primordial_blaze_bossfight/second_phase
execute if entity @s[tag=!kazzxv.pb_setup2,tag=kazzxv.pb_phase2] run effect clear @s minecraft:resistance
execute if entity @s[tag=!kazzxv.pb_setup2,tag=kazzxv.pb_phase2] run effect give @s minecraft:resistance infinite 1 true
execute if entity @s[tag=!kazzxv.pb_setup2,tag=kazzxv.pb_phase2] run tellraw @a [{"text":"[","color":"white"},{"text":"ExtraVanilla","color":"yellow"},{"text":"]","color":"white"},{"text":":","color":"gray"},{"text":" The Primordial Blaze is angered! Keep going, hang in there!","color":"#ff7530"}]

#Removes Blocks in the Surroundings
execute if entity @s[tag=!kazzxv.pb_setup] run function kazzmon.extravanilla:mobs/custom_bosses/primordial_blaze_bossfight/main/break_blocks

#Tags Self for Finishing Setup
execute if entity @s[tag=!kazzxv.pb_setup] run tag @s add kazzxv.pb_setup
execute if entity @s[tag=!kazzxv.pb_setup2,tag=kazzxv.pb_phase2] run tag @s add kazzxv.pb_setup2

#Kills Boss when there are no more Challengers nearby
execute if score @s kazzxv.pb_foes matches 0 run function kazzmon.extravanilla:mobs/custom_bosses/primordial_blaze_bossfight/despawn