#Gets Relic IDs required
function kazzmon.extravanilla:technical/get_id/relic/mainhand
function kazzmon.extravanilla:technical/get_id/relic/offhand
function kazzmon.extravanilla:technical/get_id/relic/undropped_mainhand
function kazzmon.extravanilla:technical/get_id/relic/undropped_offhand

#Relic Effects
  #Blessed Staff
execute if data entity @s Inventory[{tag:{extravanilla:{RelicID:1}}}] if score @s kazzxv.relic_mode matches 1.. run function kazzmon.extravanilla:relics/blessed_staff/constant

  #Hyperactive Fungus
execute if score @s kazzxv.relic_id_main matches 2 if score @s kazzxv.relic_undrop_main matches 1 run item modify entity @s weapon.mainhand kazzmon.extravanilla:drop_item
execute if score @s kazzxv.relic_id_off matches 2 if score @s kazzxv.relic_undrop_off matches 0 run item modify entity @s weapon.offhand kazzmon.extravanilla:undrop_item
execute if entity @s[tag=kazzxv.relic2_drawback,scores={kazzxv.relic_db=..20}] run function kazzmon.extravanilla:relics/hyperactive_fungus/drawback
execute if entity @s[tag=kazzxv.relic2_drawback,scores={kazzxv.relic_db=..0}] run tag @s remove kazzxv.relic2_drawback

  #Overgrown Mushroom
execute if score @s kazzxv.relic_id_main matches 3 if score @s kazzxv.relic_undrop_main matches 1 run item modify entity @s weapon.mainhand kazzmon.extravanilla:drop_item
execute if score @s kazzxv.relic_id_off matches 3 if score @s kazzxv.relic_undrop_off matches 0 run item modify entity @s weapon.offhand kazzmon.extravanilla:undrop_item
execute if entity @s[tag=kazzxv.relic3_drawback,scores={kazzxv.relic_db2=..15}] run function kazzmon.extravanilla:relics/overgrown_mushroom/drawback
execute if entity @s[tag=kazzxv.relic3_drawback,scores={kazzxv.relic_db2=..0}] run tag @s remove kazzxv.relic3_drawback

  #Prismarine Core
execute if data entity @s Inventory[{tag:{extravanilla:{RelicID:5}}}] unless score @s kazzxv.relic_cd3 matches 1.. run function kazzmon.extravanilla:relics/prismarine_core/start

  #Sparkling Smokescreen
execute if score @s kazzxv.relic_id_main matches 7 if score @s kazzxv.relic_undrop_main matches 1 run item modify entity @s weapon.mainhand kazzmon.extravanilla:drop_item
execute if score @s kazzxv.relic_id_off matches 7 if score @s kazzxv.relic_undrop_off matches 0 run item modify entity @s weapon.offhand kazzmon.extravanilla:undrop_item

  #Totem of the Spirits
execute if entity @s[scores={kazzxv.ghost=0},tag=kazzxv.ghost] run function kazzmon.extravanilla:relics/totem_of_the_spirits/ghost_end
execute if entity @s[scores={kazzxv.ghost=1..}] run function kazzmon.extravanilla:relics/totem_of_the_spirits/ghost_start

  #Heart Crystal
execute if score @s kazzxv.add_hp matches 1.. unless score @s kazzxv.add_hp2 matches 1.. run function kazzmon.extravanilla:relics/heart_crystal/passive_add_hp

  #Void Heart
execute if score @s kazzxv.add_hp matches 3.. if score @s kazzxv.add_hp2 matches 1.. run function kazzmon.extravanilla:relics/void_heart/passive_add_hp

  #Pouch of Stardust
execute if score @s kazzxv.relic_id_main matches 16 if score @s kazzxv.relic_undrop_main matches 1 run item modify entity @s weapon.mainhand kazzmon.extravanilla:drop_item
execute if score @s kazzxv.relic_id_off matches 16 if score @s kazzxv.relic_undrop_off matches 0 run item modify entity @s weapon.offhand kazzmon.extravanilla:undrop_item

  #Luminous Wand
execute if entity @s[scores={kazzxv.relic_cd5=..0},tag=kazzxv.luminous_user] run function kazzmon.extravanilla:relics/luminous_wand/cooldown_good

  #Emblem of the Abyss
execute if entity @s[tag=kazzxv.abyss_emblem_post] run function kazzmon.extravanilla:relics/emblem_of_the_abyss/post_effect
execute if data entity @s Inventory[{tag:{extravanilla:{RelicID:21}}}] unless score @s kazzxv.relic_cd7 matches 1.. run function kazzmon.extravanilla:relics/emblem_of_the_abyss/start

#Relic Ability
execute if score @s kazzxv.use_relic matches 1.. run function kazzmon.extravanilla:relics/relic_detect