#Gets Armor IDs required
function kazzmon.extravanilla:technical/get_id/armor/chest
function kazzmon.extravanilla:technical/get_id/armor/head
function kazzmon.extravanilla:technical/get_id/armor/feet
function kazzmon.extravanilla:technical/get_id/armor/legs

#Checks Armor Slots for Armor Effects
  #Netherite Armor
execute if entity @s[nbt={Inventory:[{id:"minecraft:netherite_helmet",Slot:103b},{id:"minecraft:netherite_chestplate",Slot:102b},{id:"minecraft:netherite_leggings",Slot:101b},{id:"minecraft:netherite_boots",Slot:100b}]},scores={kazzxv.buff_cd=..0}] run function kazzmon.extravanilla:buffs_and_debuffs/netherite_armor/start

  #Guardian Armor
execute if score @s kazzxv.id_chest matches 1 if score @s kazzxv.id_feet matches 1 if score @s kazzxv.id_head matches 1 if score @s kazzxv.id_legs matches 1 unless score @s kazzxv.buff_cd2 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/guardian_armor/start

  #Diamond Armor
execute if entity @s[nbt={Inventory:[{id:"minecraft:diamond_helmet",Slot:103b},{id:"minecraft:diamond_chestplate",Slot:102b},{id:"minecraft:diamond_leggings",Slot:101b},{id:"minecraft:diamond_boots",Slot:100b}]},scores={kazzxv.buff_cd3=..0}] run function kazzmon.extravanilla:buffs_and_debuffs/diamond_armor/start

  #Golden Armor
execute if entity @s[nbt={Inventory:[{id:"minecraft:golden_helmet",Slot:103b},{id:"minecraft:golden_chestplate",Slot:102b},{id:"minecraft:golden_leggings",Slot:101b},{id:"minecraft:golden_boots",Slot:100b}]},scores={kazzxv.buff_cd4=..0}] run function kazzmon.extravanilla:buffs_and_debuffs/golden_armor/start

  #Reinforced Iron Armor
execute if score @s kazzxv.id_chest matches 3 if score @s kazzxv.id_feet matches 3 if score @s kazzxv.id_head matches 3 if score @s kazzxv.id_legs matches 3 unless score @s kazzxv.buff_cd5 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/reinforced_iron_armor/start

  #Reinforced Netherite Armor
execute if score @s kazzxv.id_chest matches 4 if score @s kazzxv.id_feet matches 4 if score @s kazzxv.id_head matches 4 if score @s kazzxv.id_legs matches 4 unless score @s kazzxv.buff_cd9 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/reinforced_netherite_armor/start

  #Dragonscale Armor
execute if score @s kazzxv.id_chest matches 5 if score @s kazzxv.id_feet matches 5 if score @s kazzxv.id_head matches 5 if score @s kazzxv.id_legs matches 5 unless score @s kazzxv.buff_cd10 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/dragonscale_armor/start
execute if score @s kazzxv.id_chest matches 9 if score @s kazzxv.id_feet matches 5 if score @s kazzxv.id_head matches 5 if score @s kazzxv.id_legs matches 5 unless score @s kazzxv.buff_cd10 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/dragonscale_armor/start

  #Abyssal Scale Armor
execute if score @s kazzxv.id_chest matches 8 if score @s kazzxv.id_feet matches 8 if score @s kazzxv.id_head matches 8 if score @s kazzxv.id_legs matches 8 unless score @s kazzxv.buff_cd12 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/abyssal_scale_armor/start
execute if score @s kazzxv.id_chest matches 9 if score @s kazzxv.id_feet matches 8 if score @s kazzxv.id_head matches 8 if score @s kazzxv.id_legs matches 8 unless score @s kazzxv.buff_cd12 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/abyssal_scale_armor/start

  #Turtle Helmet
execute if entity @s[tag=kazzxv.wither_immune] unless score @s kazzxv.id_head matches 2 run function kazzmon.extravanilla:buffs_and_debuffs/turtle_helmet/remove

  #Gemspark Armor
execute if score @s kazzxv.id_chest matches 7 if score @s kazzxv.id_feet matches 7 if score @s kazzxv.id_head matches 7 if score @s kazzxv.id_legs matches 7 unless score @s kazzxv.buff_cd11 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/gemspark_armor/start

  #Gliding Boots
execute if score @s kazzxv.id_feet matches 10 if data entity @s Inventory[{Slot:100b}].tag.Enchantments[{id:"minecraft:feather_falling",lvl:4s}] unless score @s kazzxv.buff_cd7 matches 1.. unless block ~ ~-1 ~ minecraft:air run scoreboard players set @s kazzxv.buff_cd8 0
execute if score @s kazzxv.id_feet matches 10 unless score @s kazzxv.buff_cd7 matches 1.. run function kazzmon.extravanilla:buffs_and_debuffs/gliding_boots/start

#Reset Armor IDs
scoreboard players reset @s kazzxv.id_chest
scoreboard players reset @s kazzxv.id_head
scoreboard players reset @s kazzxv.id_feet
scoreboard players reset @s kazzxv.id_legs