#Tags Player
tag @s add kazzxv.wp15_skill_caster
tag @s add kazzxv.wp15_skill_user
tag @s add kazzxv.wp15_skill_attacker

#Check if Upgraded
execute if entity @s[nbt={Inventory:[{id:"minecraft:netherite_axe",Slot:-106b,tag:{extravanilla:{WeaponID:13}}}]}] run tag @s add kazzxv.wp15_skill_upgraded

#Skill Cooldown
scoreboard players set @s kazzxv.wp_mode5 1
scoreboard players set @s[gamemode=!creative] kazzxv.skill_cd 5

#Updraft
effect give @s levitation 1 49 true

#Upgraded Updraft
execute if entity @s[tag=kazzxv.wp15_skill_upgraded, x_rotation=-90..-45] run effect give @s levitation 1 99 true
execute if entity @s[tag=kazzxv.wp15_skill_upgraded, x_rotation=-90..-45] run scoreboard players set @s[gamemode=!creative] kazzxv.skill_cd 9
execute if entity @s[tag=kazzxv.wp15_skill_upgraded, x_rotation=-90..-45] run tag @s add kazzxv.wp15_skill_upgraded_updraft

#Splash Effect - Deals 48 Damage
execute as @e[tag=!kazzxv.wp15_skill_attacker, type=#kazzmon.extravanilla:mobs_enemies, distance=..6] run damage @s 48 kazzmon.extravanilla:indirect_magic by @p[tag=kazzxv.wp15_skill_attacker]

#Vertical Knockback
execute unless entity @s[predicate=kazzmon.extravanilla:is_sneaking] at @s as @e[tag=!kazzxv.wp15_skill_caster, type=#kazzmon.extravanilla:mobs_liftable, type=!#kazzmon.extravanilla:mobs_heavy, tag=!kazzxv.lift_immune, distance=..6] run data modify entity @s Motion set value [0.0d,0.6d,0.0d]
execute unless entity @s[predicate=kazzmon.extravanilla:is_sneaking] at @s as @e[tag=!kazzxv.wp15_skill_caster, type=#kazzmon.extravanilla:mobs_liftable, type=#kazzmon.extravanilla:mobs_heavy, tag=!kazzxv.lift_immune, distance=..6] run data modify entity @s Motion set value [0.0d,0.3d,0.0d]

#Delayed
schedule function kazzmon.extravanilla:weapons/tempest_halberd/skill/skill_delay 5t

#Sounds
playsound minecraft:item.trident.riptide_1 master @a ~ ~ ~ 1 0.5
playsound minecraft:item.trident.riptide_2 master @a ~ ~ ~ 1 0.65
playsound minecraft:entity.wither.shoot master @a ~ ~ ~ 0.4 0.6
playsound minecraft:entity.wither.shoot master @a ~ ~ ~ 0.4 0.4
playsound minecraft:entity.wither.shoot master @a ~ ~ ~ 0.3 0.8
playsound minecraft:entity.warden.sonic_boom master @a ~ ~ ~ 1 1.5

#Particles
particle minecraft:cloud ~ ~1 ~ 1 1 1 0.3 50 force
particle minecraft:cloud ~ ~1 ~ 1 1 1 0.1 50 force

#Removes Tags
execute if entity @s[tag=kazzxv.wp15_skill_upgraded] run tag @s remove kazzxv.wp15_skill_upgraded
tag @s remove kazzxv.wp15_skill_attacker

#Drain XP
execute if entity @s[gamemode=!creative] run scoreboard players add @s kazzxv.xp_drain 28