#Pull in nearby mobs
execute as @e[type=#kazzmon.extravanilla:mobs_teleportable,distance=..12,tag=!kazzxv.tp_immune] at @s facing entity @e[type=area_effect_cloud,tag=kazzxv.wp4_skill,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.25
execute as @e[type=#kazzmon.extravanilla:mobs_teleportable,distance=..10,tag=!kazzxv.tp_immune] at @s facing entity @e[type=area_effect_cloud,tag=kazzxv.wp4_skill,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.25
execute as @e[type=#kazzmon.extravanilla:mobs_teleportable,distance=..8,tag=!kazzxv.tp_immune] at @s facing entity @e[type=area_effect_cloud,tag=kazzxv.wp4_skill,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.25
execute as @e[type=#kazzmon.extravanilla:mobs_teleportable,distance=..6,tag=!kazzxv.tp_immune] at @s facing entity @e[type=area_effect_cloud,tag=kazzxv.wp4_skill,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.25
execute as @e[type=#kazzmon.extravanilla:mobs_teleportable,distance=..4,tag=!kazzxv.tp_immune] at @s facing entity @e[type=area_effect_cloud,tag=kazzxv.wp4_skill,sort=nearest,limit=1] feet run tp @s ^ ^ ^0.25

#Finds Owner
tag @s add kazzxv.wp_find_owner
execute store result score @s kazzxv.uuid0 run data get entity @s Owner[0]
execute store result score @s kazzxv.uuid1 run data get entity @s Owner[1]
execute store result score @s kazzxv.uuid2 run data get entity @s Owner[2]
execute store result score @s kazzxv.uuid3 run data get entity @s Owner[3]
execute as @a at @s if score @s kazzxv.uuid0 = @e[type=area_effect_cloud,tag=kazzxv.wp_find_owner,tag=kazzxv.wp4_skill,sort=nearest,limit=1] kazzxv.uuid0 if score @s kazzxv.uuid1 = @e[type=area_effect_cloud,tag=kazzxv.wp_find_owner,tag=kazzxv.wp4_skill,sort=nearest,limit=1] kazzxv.uuid1 if score @s kazzxv.uuid2 = @e[type=area_effect_cloud,tag=kazzxv.wp_find_owner,tag=kazzxv.wp4_skill,sort=nearest,limit=1] kazzxv.uuid2 if score @s kazzxv.uuid3 = @e[type=area_effect_cloud,tag=kazzxv.wp_find_owner,tag=kazzxv.wp4_skill,sort=nearest,limit=1] kazzxv.uuid3 run tag @s add kazzxv.wp4_owner
tag @s remove kazzxv.wp_find_owner

#Effects - 12 Damage per Pulse - Inner Circle would have 24 Damage per Pulse
execute as @e[type=#kazzmon.extravanilla:mobs,distance=..8] run damage @s 12 kazzmon.extravanilla:indirect_magic by @p[tag=kazzxv.wp4_owner]
execute as @e[type=#kazzmon.extravanilla:mobs,distance=..3] run damage @s 24 kazzmon.extravanilla:indirect_magic by @p[tag=kazzxv.wp4_owner]
tag @p[tag=kazzxv.wp4_owner] remove kazzxv.wp4_owner

#Particles
particle flash ~ ~ ~ 0 0 0 0 1 force
particle portal ~ ~ ~ 0 0 0 1 100 force
particle dragon_breath ~ ~ ~ 0 0 0 0.1 30 force

#Sounds
playsound minecraft:entity.firework_rocket.blast master @a ~ ~ ~ 6 1
playsound minecraft:entity.firework_rocket.blast master @a ~ ~ ~ 6 1.2
playsound minecraft:entity.firework_rocket.blast master @a ~ ~ ~ 6 1.4
playsound minecraft:entity.firework_rocket.large_blast master @a ~ ~ ~ 6 1
playsound minecraft:entity.firework_rocket.large_blast master @a ~ ~ ~ 6 1.2
playsound minecraft:entity.firework_rocket.large_blast master @a ~ ~ ~ 6 1.4